summaryrefslogtreecommitdiff
path: root/dev-python/pycairo
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-06 00:25:16 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-06 00:25:16 +0000
commite323e1d9d3e69d5951d8ef6ca422f96cf0c2c4c9 (patch)
tree958e18bed3b6fe65e209d02bd2a6f522329adc35 /dev-python/pycairo
parent1b4912542c52b2ce70ebf5acdeea40ee114c261c (diff)
downloadbaldeagleos-repo-e323e1d9d3e69d5951d8ef6ca422f96cf0c2c4c9.tar.gz
baldeagleos-repo-e323e1d9d3e69d5951d8ef6ca422f96cf0c2c4c9.tar.xz
baldeagleos-repo-e323e1d9d3e69d5951d8ef6ca422f96cf0c2c4c9.zip
Updating liguros repo
Diffstat (limited to 'dev-python/pycairo')
-rw-r--r--dev-python/pycairo/Manifest1
-rw-r--r--dev-python/pycairo/pycairo-1.20.0.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/pycairo/Manifest b/dev-python/pycairo/Manifest
index b4af392d6fde..560251fc7761 100644
--- a/dev-python/pycairo/Manifest
+++ b/dev-python/pycairo/Manifest
@@ -1 +1,2 @@
DIST pycairo-1.19.1.tar.gz 205196 BLAKE2B 504334628daf75dd9145c97fbd86ea133b4be225ce7fa911b48231ebd5434678ffa7b1f185e0527f96b4b36955e788d0bb4fa4d308843e5ae9b20a41d2126301 SHA512 a7955a2566d5e5586154b62f3aeef824e1e6076cbd3eb86af8288fedcc7d61c4e36a53691298cf9df2e2df7fc96292f96dec92c5d4343e6c1b4c971e97d0650f
+DIST pycairo-1.20.0.tar.gz 344370 BLAKE2B b72a3dfd3ad6332f6be2c0fc0650ef87d97a51881bd239421cdb6355016e952093f9fa05b7872d7cce4a50bc4bac27ff0fb4c11e446e51ada9d7c1adc019a175 SHA512 d32d008b741653d02324b206a438f5fd85f2a433201d6f8b98c8f1adc712abea611a4b5ed95c55258efb662dc579eed6b2f752b10d9fc2b6a7c8e5edd19e5266
diff --git a/dev-python/pycairo/pycairo-1.20.0.ebuild b/dev-python/pycairo/pycairo-1.20.0.ebuild
new file mode 100644
index 000000000000..e63b3084e2d9
--- /dev/null
+++ b/dev-python/pycairo/pycairo-1.20.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the cairo library"
+HOMEPAGE="https://www.cairographics.org/pycairo/ https://github.com/pygobject/pycairo"
+SRC_URI="https://github.com/pygobject/${PN}/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="examples"
+
+BDEPEND="
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ >=x11-libs/cairo-1.13.1[svg]
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme
+distutils_enable_tests setup.py
+
+python_install() {
+ distutils-r1_python_install \
+ install_pkgconfig --pkgconfigdir="${EPREFIX}/usr/$(get_libdir)/pkgconfig"
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}